
QGIS Application - Bug report #20909

Print composer opacity no longer working correctly in QGIS 3.4.3; was OK in 3.4.2

2019-01-03 01:32 PM - Mark Evans

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.3 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28728

Description

Task

In Print Composer, selecting any opacity other than 100% for the background of a text box, using Item Properties dialogue.

Working correctly

Opacity set from colour selector: Background; Color; Choose Color; Opacity; select value

Result: text box background and frame are displayed with the desired opacity.

Not working correctly

Opacity set from rendering: Rendering; select value

Result: Background and frame (if being used) disappear, being replaced by a small rectangular element of the chosen background colour

and opacity, but without a border, rendered in the top left corner of the text box for opacity levels below 100%. The small rectangle is not

resized with the page zoom i.e. it remains of a constant size whatever the zoom level.

The opacity selection feature worked correctly via both routes in previous releases of QGIS.

Associated revisions

Revision 0de94dd1 - 2019-01-08 07:24 AM - Nyall Dawson

[layouts] Fix incorrectly rendered item background and frame when item is

non-opaque

Fixes #20909

Revision 680f2be3 - 2019-01-11 09:39 PM - Nyall Dawson

[layouts] Fix incorrectly rendered item background and frame when item is

non-opaque

Fixes #20909

(cherry picked from commit 0de94dd1fe1f62df3547ca8e664489073807dd5e)

History

#1 - 2019-01-03 03:30 PM - Giovanni Manghi
- Regression? changed from No to Yes

- Priority changed from Normal to High

#2 - 2019-01-08 07:23 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|0de94dd1fe1f62df3547ca8e664489073807dd5e.
